qpid::log::SinkOptions Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
qpid::log::SinkOptions Struct Reference

Logging sink options. More...

`#include <qpid/log/SinkOptions.h>`

List of all members.

## Public Member Functions
| SinkOptions (const std::string &name="Logging sink options")
virtual | ~SinkOptions ()
virtual SinkOptions & | operator= (const SinkOptions &)=0
virtual void | detached (void)=0
virtual void | setup (Logger *logger)=0
void | parse (int argc, char const *const *argv, const std::string &configfile=std::string(), bool allowUnknown=false)
| Parses options from argc/argv, environment variables and config file.
boost::program_options::options_description_easy_init | addOptions ()
## Static Public Member Functions
static SinkOptions * | create (const std::string &argv0=std::string())

## Detailed Description

Logging sink options.

Most logging sink options will be platform-specific, even if some are duplicated. The range of platforms to which this code may be ported can't be assumed to all have C++ iostreams or files. Thus, this class is primarily for implementing in a platform-specific way.

## Constructor & Destructor Documentation

qpid::log::SinkOptions::SinkOptions | ( | const std::string & | name = `"Logging sink options"` | ) | `[inline]`

Definition at line 44 of file SinkOptions.h.

virtual qpid::log::SinkOptions::~SinkOptions | ( |  | ) | `[inline, virtual]`

Definition at line 47 of file SinkOptions.h.

## Member Function Documentation

boost::program_options::options_description_easy_init qpid::Options::addOptions | ( |  | ) | `[inline, inherited]`

Definition at line 154 of file Options.h.

static SinkOptions* qpid::log::SinkOptions::create | ( | const std::string & | argv0 = `std::string()` | ) | `[static]`

virtual void qpid::log::SinkOptions::detached | ( | void |  | ) | `[pure virtual]`

virtual SinkOptions& qpid::log::SinkOptions::operator= | ( | const SinkOptions & |  | ) | `[pure virtual]`

void qpid::Options::parse | ( | int | argc,
|  | char const *const * | argv,
|  | const std::string & | configfile = `std::string()`,
|  | bool | allowUnknown = `false`
| ) |  | `[inherited]`

Parses options from argc/argv, environment variables and config file.

Note the filename argument can reference an options variable that is updated by argc/argv or environment variable parsing.

virtual void qpid::log::SinkOptions::setup | ( | Logger * | logger | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- qpid/log/SinkOptions.h